CREATE TABLE gl_net_income_accounts (
    BAL_SEG_VALUE             VARCHAR2(100),
    BAL_SEG_VALUE_2           VARCHAR2(100),
    BAL_SEG_VALUE_3           VARCHAR2(100),
    CODE_COMBINATION_ID       NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    REQUEST_ID                NUMBER(18, 0),
    PROGRAM_APPLICATION_ID    NUMBER(18, 0),
    PROGRAM_ID                NUMBER(18, 0),
    PROGRAM_UPDATE_DATE       DATE         ,
    LEDGER_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    BAL_SEG_VALUE             VARCHAR2(100),
    BAL_SEG_VALUE_2           VARCHAR2(100),
    BAL_SEG_VALUE_3           VARCHAR2(100),
    CODE_COMBINATION_ID       NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    REQUEST_ID                NUMBER(18, 0),
    PROGRAM_APPLICATION_ID    NUMBER(18, 0),
    PROGRAM_ID                NUMBER(18, 0),
    PROGRAM_UPDATE_DATE       DATE         ,
    LEDGER_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_net_income_accounts PRIMARY KEY (BAL_SEG_VALUE, BAL_SEG_VALUE_2, BAL_SEG_VALUE_3, CODE_COMBINATION_ID, LEDGER_ID, BAL_SEG_VALUE, BAL_SEG_VALUE_2, BAL_SEG_VALUE_3, CODE_COMBINATION_ID, LEDGER_ID)
);
